# typeinfo File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file typeinfo.

Go to the source code of this file.

## Namespaces

- namespace __cxxabiv1
- namespace std

## Classes

- class std::bad_cast
    Thrown during incorrect typecasting. More...
- class std::bad_typeid
- class std::type_info
    Part of RTTI. More...

## Defines

- #define __GXX_MERGED_TYPEINFO_NAMES